#

API Docs for:
Show: Inherited Protected Private Deprecated

# LiteGraph Class

Defined in: `../src/litegraph.js:6`

The Global Scope. It contains all the registered node classes.

## Constructor

### `LiteGraph`

()

Defined in `../src/litegraph.js:6`

- Index
- Methods

## Item Index

### Methods

- addNodeMethod
- createNode
- getNodeType
- getNodeType
- getNodeTypesCategories
- registerNodeType

## Methods

### `addNodeMethod`

(

- `func`

)

Defined in `../src/litegraph.js:86`

Adds this method to all nodetypes, existing and to be created (You can add it to LGraphNode.prototype but then existing node types wont have it)

#### Parameters:

- `func` Function

### `createNode`

(

- `type`
- `name`
- `options`

)

Defined in `../src/litegraph.js:99`

Create a node of a given type with a name. The node is not attached to any graph yet.

#### Parameters:

- `type` String

  full name of the node class. p.e. "math/sin"

- `name` String

  a name to distinguish from other nodes

- `options` Object

  to set options

### `getNodeType`

(

- `type`

)
Class

Defined in `../src/litegraph.js:142`

Returns a registered node type with a given name

#### Parameters:

- `type` String

  full name of the node class. p.e. "math/sin"

#### Returns:

Class:

the node class

### `getNodeType`

(

- `category`

)
Array

Defined in `../src/litegraph.js:155`

Returns a list of node types matching one category

#### Parameters:

- `category` String

  category name

#### Returns:

Array:

array with all the node classes

### `getNodeTypesCategories`

() Array

Defined in `../src/litegraph.js:177`

Returns a list with all the node type categories

#### Returns:

Array:

array with all the names of the categories

### `registerNodeType`

(

- `type`
- `base_class`

)

Defined in `../src/litegraph.js:49`

Register a node class so it can be listed when the user wants to create a new one

#### Parameters:

- `type` String

  name of the node and path

- `base_class` Class

  class containing the structure of a node